# Account Delegation Processes Account Delegation Processes ## Gets all of the account delegation processes in the system. - [GET /accountDelegationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/listaccountdelegationprocesses.md): This method will scan all account delegation processes and and return them to the caller. ## Creates a new account delegation process record that does not already exist. - [POST /accountDelegationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/createaccountdelegationprocess.md): This method will auto-generate an ID and create a new account delegation process. If an ID is specified for the account delegation process, an error will be thrown. ## Execute Batch Operations - [POST /accountDelegationProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a account delegation process from the system by its ID. - [DELETE /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/deleteaccountdelegationprocess.md): This method will delete a account delegation process with the specified ID. ## Returns a account delegation process from the system by its ID. - [GET /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/getaccountdelegationprocess.md): This method will look up a account delegation process by the specified ID and return it back. ## Partially updates a account delegation process with the specified ID. - [PATCH /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/patchaccountdelegationprocess.md): This method will patch an existing account delegation process with the specified ID, using the HTTP PATCH specification. ## Updates a account delegation process with the specified ID. - [PUT /accountDelegationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/account-delegation-processes/updateaccountdelegationprocess.md): This method will update an existing account delegation process with the specified ID.